[GFSD] Freeware in ruby1.8 (Toutatis and Belenos) and ruby1.9.1 (Toutatis)

Projet:Trisquel
Version:6.0
Composant:Packages
Catégorie:Rapporter un bogue
Priorité:blocking
Attribué:upstream
Statut:patch (ready)
Description

Hello,

The files "gserver.rb" ("/usr/lib/ruby/1.8/gserver.rb"), part of ruby1.8, is listed as a freeware (in the header).

Best regards,

Franquet Loic (non vérifié):
dim, 09/15/2013 - 11:05
Titre:Freeware in libruby1.8» [GFSD] Freeware in libruby1.8
Priorité:normal» blocking

Ruby issue tracker :

https://bugs.ruby-lang.org/issues/8913

dim, 12/22/2013 - 05:29
Assigné à:anonymous» upstream

Marking as assigned to upstream:

Debian is working on removing it (http://release.debian.org/transitions/html/ruby1.8-removal.html)

and it is fixed per your link in 2.0 and backported to 1.9

Sam, 06/13/2015 - 21:42
Titre:[GFSD] Freeware in libruby1.8» [GFSD] Freeware in libruby1.8 and (in Toutatis) libruby1.9
mer, 06/17/2015 - 21:49
Statut:active» fixed

Manually merged and built for toutatis and belenos

mer, 06/17/2015 - 23:00
Titre:[GFSD] Freeware in libruby1.8 and (in Toutatis) libruby1.9» [GFSD] Freeware in ruby1.8 (Toutatis and Belenos) and ruby1.9.1 (Toutatis)
Statut:fixed» patch (ready)

This is not fixed in all versions yet.

https://devel.trisquel.info/trisquel/package-helpers/merge_requests/102#note_638

This bug is in ruby1.8 in toutatis, ruby1.9.1 in toutatis, and ruby1.8 in belenos. The package helper shouldn't be used for ruby1.9.1 in belenos, as the file is already free in that version.

Now the question is, why is ruby1.8 even in belenos? It's not there in trusty, which is why the package helper failed (look at jenkins output).

ven, 06/19/2015 - 23:58

So, remove the helper from Belenos, add make-ruby1.9.1 to Toutatis, and manually remove ruby1.8 from the Belenos repos (but not Toutatis).